Skip to main content
`Ctrl`+`K`

# PetscDAInitializePackage

This function initializes everything in the `PetscDA` package. called on the first call to `PetscDACreate()` when using static or shared libraries.

## Synopsis

    PetscErrorCode PetscDAInitializePackage(void)

Logically Collective

## See Also

`PetscDAFinalizePackage()`, `PetscInitialize()`

## Level

developer

## Location

src/ml/da/interface/petscda.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages